/* INDEX */
.div_card_status {
    display: flex;
    gap: 1rem;
}

.card_status {
    background-color: #ffffff;
    display: flex;
    flex-direction: column;
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    padding: 1rem;
    gap: 0.2rem;
    border-radius: 12px;
    width: 100%;
}

.titulo_status {
    color: #737b8c;
    font-size: 14px;
}

.valor_status {
    font-size: 24px;
    font-weight: 600;
}

.div_item_esteira {
    box-sizing: content-box;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #ffffff;
    border-radius: 12px;
    width: 64px;
    height: 64px;
    z-index: 2;
}

.div_item {
    background-color: #ffffff;
    display: flex;
    flex-direction: column;
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    padding: 1rem;
    border-radius: 12px;
    width: 100%;
}

.div_item_esteira svg {
    width: 28px;
    height: 28px;
}

.div_item_esteira.comprado {
    background-color: #3e5074;
}

.div_item_esteira.transporte {
    background-color: #9234ea;
}

.div_item_esteira.preparacao {
    background-color: #0da2e7;
}

.div_item_esteira.disponivel {
    background-color: #22c35d;
}

.div_item_esteira.reservado {
    background-color: #f59f0a;
}

.div_item_esteira.vendido {
    background-color: #3c83f6;
}

.div_item_esteira.entregue {
    background-color: #737b8c;
}

.div_vertical_texto_esteira {
    display: flex;
    flex-direction: column;
    text-align: center;
    gap: 0.2rem;
}

.div_esteira_status {
    display: flex;
    justify-content: space-between;
    position: relative;
    margin-top: 1rem;
}

.esteira_coluna {
    display: flex;
    flex-direction: column;
    align-items: center;
    z-index: 2;
    min-width: 60px;
}

.linha_esteira {
    position: absolute;
    background-color: #d1d5db;
    top: 32px;
    left: 0;
    width: 100%;
    height: 2px;
    z-index: 1;
}

.texto_descricao_status {
    color: #4b5563;
    text-align: center;
    font-size: 12px;
}

.texto_quantidade_status {
    color: #1b2232;
    font-weight: 600;
    font-size: 20px;
    margin-top: 0.2rem;
}

.visualizacao_distribuicao {
    background-color: #d1d5db;
    display: flex;
    overflow: hidden;
    width: 100%;
    border-radius: 4px;
    height: 8px;
    margin-top: 2rem;
}

.quantidade_item {
    height: 100%;
}

.quantidade_item.comprado {
    background-color: #3e5074;
}

.quantidade_item.transporte {
    background-color: #9234ea;
}

.quantidade_item.preparacao {
    background-color: #3c83f6;
}

.quantidade_item.reservado {
    background-color: #f59f0a;
}

.quantidade_item.disponivel {
    background-color: #22c35d;
}

.quantidade_item.vendido {
    background-color: #3c83f6;
}

.quantidade_item.entregue {
    background-color: #737b8c;
}

.texto_total_caminhoes_esteira {
    text-align: center;
    color: #4b5563;
    width: 100%;
    margin-top: 0.8rem;
    font-size: 14px;
}

.numero_caminhoes {
    color: #1b2232;
    font-weight: 600;
}

/* INDEX */


/* LEAD */
.container_lead {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 1rem;
}

.container_listagem_interacoes{
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.container_listagem_lembretes{
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.input_leads {
    display: flex;
    align-items: center;
    gap: 0.5rem;
    background: #fff;
    padding: 0.65rem 0.8rem;
    border-radius: 10px;
    flex: 1;
    color: #333;
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    outline: none;
    width: 100%;
}

.card_preferencia_vazia {
    display: flex;
    align-items: center;
    gap: 0.5rem;
    padding: 0.8rem;
    border: 2px dashed #cbd5e1;
    border-radius: 8px;
    color: #64748b;
    font-size: 14px;
}

.card_lead {
    background: #fff;
    border-radius: 12px;
    padding: 1.2rem;
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.card_lead_header {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.nome_lead {
    font-size: 16px;
    font-weight: 600;
    color: #000000;
}

.origem_lead {
    font-size: 12px;
    background: #e0f2fe;
    color: #0369a1;
    padding: 4px 8px;
    border-radius: 999px;
}

.card_lead_secao {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    min-width: fit-content;
}

.card_lead_secao.destaque {
    background: #f8fafc;
    padding: 0.8rem;
    border-radius: 8px;
    border: 1px solid rgba(0, 0, 0, 0.1);
}

.lead_info {
    display: flex;
    align-items: center;
    gap: 0.5rem;
    font-size: 13px;
    color: #374151;
}

.lead_info svg {
    width: 16px;
    height: 16px;
    stroke-width: 1.8;
    color: #6b7280;
}

.lead_tags {
    display: flex;
    flex-wrap: wrap;
    gap: 0.4rem;
}

.tag {
    background: #e0f2fe;
    color: #2a2a2c;
    font-size: 12px;
    padding: 4px 8px;
    border-radius: 6px;
}

.card_lead_interacoes {
    display: flex;
    justify-content: space-between;
    border-top: 1px solid #e5e7eb;
    padding-top: 0.8rem;
}

.interacao {
    display: flex;
    align-items: center;
    gap: 0.2rem;
    font-size: 13px;
    color: #374151;
}

.interacao span {
    font-weight: 600;
    color: #1a3366;
}

.interacao small {
    font-size: 11px;
    color: #6b7280;
}

.interacao svg {
    width: 18px;
    height: 18px;
    margin-bottom: 2px;
}

.leads_toolbar {
    display: flex;
    justify-content: space-between;
    gap: 1rem;
    flex-wrap: wrap;
}

.leads_search {
    display: flex;
    align-items: center;
    gap: 0.5rem;
    background: #fff;
    padding: 0.65rem 0.8rem;
    border-radius: 12px;
    flex: 1;
    color: #333;
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    outline: none;
}

.leads_search input {
    border: none;
    outline: none;
    font-size: 14px;
    width: 100%;
}

.leads_search svg {
    width: 16px;
    height: 16px;
    color: #6b7280;
}

.leads_filters {
    display: flex;
    gap: 0.8rem;
}

.container_leads {
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    pointer-events: none;
    transition: 0.3s opacity ease;
    opacity: 0;
    width: 100%;
    top: 0px;
    bottom: 0px;
    background-color: rgba(0, 0, 0, 0.5);
}

.div_header_modal {
    display: flex;
    justify-content: space-between;
}

.icone_fechar_modal {
    width: 18px;
    height: 18px;
    cursor: pointer;
}

.div_nav_modal {
    display: flex;
    gap: 1rem;
    border-bottom: 1px solid rgba(128, 128, 128, 0.6);
}

.sessao_modal.ativa {
    border-bottom: 2px solid #1a3366;
    padding-bottom: 0.5rem;
}

.sessao_individual {
    display: none;
    flex-wrap: wrap;
    flex-direction: column;
    gap: 1rem;
}

.sessao_individual.ativa {
    display: flex;
}

.div_inputs_informacoes {
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 0.3rem;
}

.div_inputs_informacoes span {
    font-size: 14px;
}

.div_horizontal_informacoes {
    display: flex;
    align-items: center;
    gap: 1rem;
}

.altura_textarea {
    min-height: 72px;
    resize: none;
}

.sessao_modal {
    font-size: 14px;
    cursor: pointer;
}

.btn_detalhes_leads{
    padding: 0.6rem;
    background-color: #142952;
    cursor: pointer;
    color: white;
    outline: none;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0.5rem;
    border-radius: 12px;
    font-size: 14px;
    font-weight: 500;
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
}

.card_interacoes {
    background: #E7EBF3;
    border-radius: 12px;
    padding: 0.8rem;
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    box-shadow: 0 4px 12px rgba(16, 24, 40, 0.08), inset 0 1px 0 rgba(255, 255, 255, 0.6);
    border: 1px solid rgba(0, 0, 0, 0.1);
}

.card_lembretes {
    background-color: #E7EBF3;
    border: 1px solid rgba(0, 0, 0, 0.1);
    box-shadow: 0 4px 12px rgba(16, 24, 40, 0.08), inset 0 1px 0 rgba(255, 255, 255, 0.6);
    border-radius: 12px;
    padding: 0.8rem;
    gap: 0.5rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
}


.div_data_lembrete {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}

.titulo_interacoes {
    display: flex;
    align-items: center;
    gap: 0.5rem;
}

.data_interacao {
    align-self: flex-end;
}

.btn_concluir_lembrete {
    padding: .45rem .6rem;
    background: #22c55e;
    color: #ffffff;
    font-size: 14px;
    font-weight: 500;
    border-radius: 999px;
    cursor: pointer;
    transition: .2s ease;
}

.titulo_lembretes {
    font-weight: 400;
    font-size: 16px;
    color: #0f172a;
}
/* LEAD */


/* FUNCIONÁRIOS */
table {
    width: 100%;
    border-collapse: separate;
    border-spacing: 0;
    border-radius: 12px;
    overflow: hidden;
    background: #ffffff;
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
}

.titulo_pagina{
    font-weight: 500;
}

th {
    text-align: left;
    padding: 0.7rem 0.9rem;
    font-size: 14px;
    font-weight: 600;
    color: #ffffff;
    background-color: #142952;
}

td {
    padding: 0.65rem 0.9rem;
    font-size: 14px;
    color: #334155;
    background-color: #ffffff;
    border-top: 1px solid #e5e7eb;
}

thead th:first-child {
    border-top-left-radius: 12px;
}

thead th:last-child {
    border-top-right-radius: 12px;
}

tbody tr:last-child td:first-child {
    border-bottom-left-radius: 12px;
}

tbody tr:last-child td:last-child {
    border-bottom-right-radius: 12px;
}

.img_funcionario{
    border-radius: 50%;
    height: 120px;
    width: 120px;
    object-fit: cover;
    border: 2px solid #bdc3c7;
}

.btn_foto_funcionario{
    background-color: #1a3366;
    padding: 0.4rem;
    border-radius: 10px;
    font-size: 14px;
    font-weight: 500;
    display: flex;
    align-items: center;
    color: white;
    gap: 0.4rem;
    cursor: pointer;
}

.icone_upload{
    width: 18px;
    height: 18px;
}

.div_foto_funcionario{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 0.8rem;
}

#input_foto_funcionario{
    display: none;
}

.modal_niveis_acesso{
    background-color: #f6f7f9;
    border-radius: 12px;
    padding: 1rem;
    display: flex;
    flex-direction: column;
    gap: 0.8rem;
    width: 90%;
    max-width: 750px;
}

.div_btn_modal{
    display: flex;
    gap: 1rem;
}

.sessao_niveis_permissao{
    background-color: white;
    padding: 0.6rem;
    border-radius: 10px;
}

.container_checkbox{
    display: grid;
    gap: 1rem;
    grid-template-columns: 1fr 1fr;
}

.div_checkbox{
    flex: 1;
    display: flex;
    align-items: center;
    font-size: 14px;
    gap: 0.3rem;
}

.div_checkbox label{
    cursor: pointer;
}

.container_sub_imagens{
    display: flex;
    overflow: auto;
    padding-bottom: 0.5rem;
    gap: 1rem;
}

.container_imagens_caminhao{
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}

.img_principal{
    width: 100%;
    aspect-ratio: 3.5 / 2;
    border-radius: 12px;
    object-fit: cover;
}

.sub_imagens{
    width: 100%;
    border-radius: 12px;
    height: 100px;
    object-fit: cover;
    aspect-ratio: 3.5 / 2;
}

.sub_imagens.ativo{
    border: 2px solid #142952;
}

input[type="checkbox"] {
    appearance: none;
    -webkit-appearance: none;
    width: 16px;
    height: 16px;
    border-radius: 4px;
    border: 2px solid rgb(26, 51, 102);
    cursor: pointer;
    position: relative;
    box-sizing: border-box;
}

.div_checkbox input[type="checkbox"]:checked {
    background-color: rgb(26, 51, 102);
}

.div_checkbox input[type="checkbox"]:checked::after {
    content: "";
    position: absolute;
    top: 0px;
    left: 3px;
    width: 3.5px;
    height: 8px;
    border: solid #fff;
    border-width: 0 2px 2px 0;
    transform: rotate(40deg);
}

.titulo_nivel_acesso{
    font-weight: 600;
    font-size: 16px;
}

.bloco_nivel_acesso{
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.div_nivel_acesso{
    display: flex;
    gap: 0.8rem;
    background: #fff;
    color: #333;
    outline: none;
    width: 100%;
    flex-direction: column;
}

.div_nivel_acesso span{
    border-bottom: 1px solid rgba(0, 0, 0, 0.25);
    padding-bottom: 0.4rem;
}

.nome_funcionario_modal{
    background-color: #1a3366;
    padding: 0.4rem;
    border-radius: 10px;
    font-size: 16px;
    font-weight: 400;
    display: flex;
    align-items: center;
    color: white;
    gap: 0.4rem;
    cursor: pointer;
}

.container_preferencias_cliente{
    display: flex;
    gap: 0.8rem;
    overflow: auto;
    padding-bottom: 0.5rem;
}

.listagem_preferencias_cadastradas{
    display: grid;
    gap: 1rem;
    margin-top: 0.5rem;
    grid-template-columns: 1fr 1fr;
}

.div_titulo_preferencia_modal{
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}

.card_lead_secao_modal{
    display: flex;
    gap: 1rem;
    min-width: fit-content;
    background: #f8fafc;
    padding: 0.8rem;
    border-radius: 8px;
    align-items: center;
    justify-content: space-between;
    border: 1px solid rgba(0, 0, 0, 0.1);
}
/* FUNCIONÁRIOS */


/* CAMINHÕES */
.card_caminhao{
    background: #fff;
    border-radius: 12px;
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    display: flex;
    flex-direction: column;
    border-radius: 12px;
}

.div_img_caminhao{
    position: relative;
    display: flex;
    flex-direction: column;
}

.container_cards_colunas {
    min-height: 120px; /* pode ajustar */
    padding: 8px;
}


.btn_upload_caminhao{
    border: 2px dashed rgba(26, 51, 102, 0.4);
    padding: 2rem 1.5rem;
    border-radius: 14px;
    background: linear-gradient(145deg, #f8fbff, #eef3fb);
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 0.4rem;
    cursor: pointer;
    transition: all 0.25s ease;
}

.btn_upload_caminhao span{
    font-weight: 500;
    color: #000000a2;
}

.icone_upload_caminhao{
    color: #000000a2;
    width: 20px;
    height: 20px;
}

.icone_visualizar_documento{
    background-color: #1e3a8a;
    padding: 0.35rem;
    border-radius: 8px;
    width: fit-content;
    height: fit-content;
    color: #ffffff;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}

.icone_excluir_documento{
    background-color: #dc2626;
    color: #ffffff;
    padding: 0.35rem;
    border-radius: 8px;
    width: fit-content;
    height: fit-content;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}

.div_dados_documento{
    display: flex;
    flex-direction: column;
}

.div_documentos{
    background: #f8fafc;
    padding: 0.8rem;
    border-radius: 8px;
    border: 1px solid rgba(0, 0, 0, 0.1);
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 0.5rem;
}

.div_acoes_documento{
    display: flex;
    align-items: center;
    gap: 0.5rem;
}

.div_img_caminhao::after{
    content: '';
    position: absolute;
    top: 0px;
    bottom: 0px;
    width: 100%;
    background-color: rgba(0, 0, 0, 0.1);
    border-top-left-radius: 12px;
    border-top-right-radius: 12px;
}

.pessoas_interessadas_caminhao{
    position: absolute;
    display: flex;
    align-items: center;
    background-color: white;
    border-radius: 12px;
    padding: 0.4rem 0.6rem;
    gap: 0.5rem;
    right: 12px;
    top: 12px;
    font-size: 12px;
    z-index: 2;
}

.categoria_caminhao{
    position: absolute;
    font-size: 12px;
    border-radius: 12px;
    padding: 0.4rem 0.6rem;
    left: 12px;
    top: 12px;
    z-index: 2;
}

.tag_caminhao_disponivel{
    background-color: #22c35d;
    color: white;
}

.tag_caminhao_comprado{
    background-color: #3e5074;
    color: white;
}

.tag_caminhao_transporte{
    background-color: #9234ea;
    color: white;
}

.tag_caminhao_preparacao{
    background-color: #0da2e7;
    color: white;
}

.tag_caminhao_reservado{
    background-color: #f59f0a;
    color: white;
}

.tag_caminhao_vendido{
    background-color: #3c83f6;
    color: white;
}

.tag_caminhao_entregue{
    background-color: #737b8c;
    color: white;
}

.div_conteudo_caminhao{
    padding: 0.8rem;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    border: 1px solid rgba(0, 0, 0, 0.3);
    border-bottom-left-radius: 12px;
    border-bottom-right-radius: 12px;
}

.container_listagem_caminhoes{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 1rem;
}

.img_caminhao{
    width: 100%;
    border-top-left-radius: 12px;
    border-top-right-radius: 12px;
    height: 215px;
    object-fit: cover;
    aspect-ratio: 3.5 / 2;
}

.div_nome_preco_caminhao{
    display: flex;
    align-items: start;
    justify-content: space-between;
}

.div_nome_modelo{
    display: flex;
    flex-direction: column;
    gap: 0.2rem;
}

.div_dados_caminhao_card{
    display: flex;
    align-items: center;
    gap: 0.8rem;
}

.dado_caminhao_card{
    display: flex;
    align-items: center;
    gap: 0.2rem;
    color: #6b7280;
    font-size: 14px;
}

.modelo_caminhao{
    font-size: 14px;
    color: #6b7280;
}

.nome_caminhao_valor{
    font-weight: 600;
    color: #1a3366;
}

.btn_filtro_caminhoes{
    padding: 0.5rem;
    border-radius: 10px;
    font-size: 14px;
    background-color: #fff;
    color: #333;
    cursor: pointer;
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    background-size: 12px;
    outline: none;
    flex: 1;
}

.btn_filtro_caminhoes.ativo{
    background-color: #142952;
    color: white;
}

.img_upload_caminhao{
    height: 215px;
    object-fit: cover;
    background-color: #bdc3c7;
    border: 2px solid #bdc3c7;
    border-radius: 12px;
    height: 215px;
    object-fit: cover;
    aspect-ratio: 3.5 / 2;
}
/* CAMINHÕES */

/* ESTEIRA */

.coluna_kanban{
    border: 1px solid rgba(0, 0, 0, 0.20);
    border-radius: 12px;
    overflow: auto;
    min-width: 300px;
    background-color: white;
}

.div_item_kanban{
    background-color: #ffffff;
    display: flex;
    flex-direction: column;
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    padding: 1rem;
    border-radius: 12px;
    width: 100%;
    flex: 1;
}

.quantidade_caminhao_coluna{
    font-size: 12px;
    background: #1a3366;
    min-width: 26px;
    height: 26px;
    border-radius: 20px;
    padding: 0 8px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    font-weight: 600;
}

.container_coluna{
    display: flex;
    gap: 1rem;
    height: 100%;
    padding-bottom: 0.5rem;
    overflow: auto;
}

.tag_coluna_caminhao{
    font-size: 14px;
    border-radius: 12px;
    padding: 0.4rem 0.6rem;
    z-index: 2;
}

.div_titulo_coluna{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0.8rem;
    border-bottom: 1px solid rgba(0, 0, 0, 0);
}

.container_cards_colunas{
    display: flex;
    flex-direction: column;
    gap: 1rem;
    padding: 0.8rem;

}

.div_item_kanban{
    background-color: #ffffff;
    display: flex;
    flex-direction: column;
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    padding: 1rem;
    border-radius: 12px;
    width: 100%;
    flex: 1;
}

.coluna_kanban{
    display: flex;
    flex-direction: column; /* importante */
}

.container_cards_colunas{
    flex: 1;                 /* ocupa o espaço restante da coluna */
    min-height: 120px;       /* garante drop mesmo vazia */
    overflow: auto;
    scrollbar-width: none;
}


/* ESTEIRA */